EDIT - bug #7905

NPE in InstitutionEditorPresenter
11/13/2018 03:32 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal Found in Version:

Description

[reported by Heba]

http://api.cybertaxonomy.org/phycobank/app/reqistration#!workingset/0ddaafb-99b7-4666-859f-7bd5d7a8b61f

Hallo

Ich war specimen type und institution editor gedffnet, um eine neue instution , code war schon angegeben

Caused by: java.lang.NullPointerException
at eu.etaxonomy.cdm.vaadin.view.common.InstitutionEditorPresenter.loadCdmEntity (In

stitutionEditorPresenter. java:64)

at eu.etaxonomy.cdm.vaadin.view.common.InstitutionEditorPresenter.loadCdmEntity (In

stitutionEditorPresenter.java:40)

at eu.etaxonomy.vaadin.mvp.CdmEditorPresenterBase.loadBeanById (CdmEditorPresenterB

ase.java:115)

at eu.etaxonomy.vaadin.mvp.AbstractPopupEditor.loadInEditor (AbstractPopupEditor. ja

va:732)

at eu.etaxonomy.cdm.vaadin.view.occurrence.CollectionEditorPresenter.onInstitution
EditorActionAdd (CollectionEditorPresenter.java:189)
Associated revisions

Revision e440fd75 - 11/13/2018 04:28 PM - Andreas Kohlbecker

fix #7905 introducing defaultCdmEntityInstatiator and createCdmEntity method to avoid problems with missing custom instatiator in implementors

History

#1 - 11/13/2018 04:28 PM -

Andreas Kohlbecker

- Status changed from New to Resolved

- % Done changed from 0 to 50
http://api.cybertaxonomy.org/phycobank/app/registration#!workingset/0ddaa1fb-99b7-4666-859f-7bd5d7a8b61f

Applied in changeset cdm-vaadin|e440fd7507f08b9c3e1c30af34{53d35bb044c63.

#2 - 01/29/2019 03:14 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

error is no longer reproducible
